The objects a preview would create
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"synthetic_id": "preview:invoice:3f2a9c1e0b4d",
"kind": "invoice",
"kind_title": "Invoice",
"capability": "<string>",
"capability_title": "<string>",
"source_id": "<string>",
"summary": {
"title": "<string>",
"amount": 123,
"currency": "<string>",
"date": "2023-12-25"
},
"links": [
{
"relation": "needs",
"synthetic_id": "<string>",
"title": "<string>"
}
],
"payload": {}
}
],
"total": 1,
"page": 2,
"size": 2
}Agentic syncs
The objects a preview would create
One page of them, in the order they would be created, filtered by kind or capability.
GET
/
consumers
/
{consumer_id}
/
syncs
/
{syncid}
/
previews
/
{preview_id}
/
objects
The objects a preview would create
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}/previews/{preview_id}/objects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"synthetic_id": "preview:invoice:3f2a9c1e0b4d",
"kind": "invoice",
"kind_title": "Invoice",
"capability": "<string>",
"capability_title": "<string>",
"source_id": "<string>",
"summary": {
"title": "<string>",
"amount": 123,
"currency": "<string>",
"date": "2023-12-25"
},
"links": [
{
"relation": "needs",
"synthetic_id": "<string>",
"title": "<string>"
}
],
"payload": {}
}
],
"total": 1,
"page": 2,
"size": 2
}Authorizations
This access token needs to be included in each of your request to the Chift API.
Path Parameters
Query Parameters
Only the objects of this kind, e.g. 'invoice'.
Only the objects of this capability (its key).
Required range:
x >= 1Required range:
1 <= x <= 500ISO 639-1 code of the language of the texts (en, fr, nl, de, es; any case), falling back to English. Without it, translation keys.